﻿/* Top Navbar */

.top-navbar {
    padding-top: 12px;
    padding-bottom: 12px;
    font-size: 20px;
    font-weight: bold;
    line-height: 150%;
    color: #fff;
    background-color: #ef8405;
}

.top-navbar .navbar-toggler {
    padding-left: 0;
    padding-right: 0;
    font-size: 32px;
    color: #FFFFFF;
    line-height: 32px;
}

.top-navbar .navbar-toggler,
.top-navbar .navbar-toggler:active,
.top-navbar .navbar-toggler:focus {
    border: 0 none transparent;
    outline: 0 none transparent;
    text-decoration: none;
    box-shadow: none;
}

.top-navbar .navbar-toggler:hover {
    color: #FFFFCC;
}

.top-navbar ul.navbar-nav a.nav-link.dropdown-toggle::after {
    display: none;
}

.top-navbar ul.navbar-nav > li > a.nav-link,
.top-navbar ul.navbar-nav > li > a.nav-link:visited {
    display: inline-block;
    margin-right: 10px;
    padding: 7px 15px 8px 15px !important;
    color: #000000;
    border: none;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

.top-navbar ul.navbar-nav > li.show > a,
.top-navbar ul.navbar-nav > li > a.nav-link.show,
.top-navbar ul.navbar-nav > li > a.nav-link:hover {
    color: #FFFFFF;
    text-decoration: none;
    background-color: rgba(0,0,0,0.33);
    box-shadow: none;
}

.top-navbar ul.navbar-nav > li:last-child > a.nav-link {
    margin-right: 0;
}

    .top-navbar ul.dropdown-menu {
        border: 0 none transparent;
        -webkit-box-shadow: 0px 2px 0px 1px rgba(0,0,0,0.2);
        -moz-box-shadow: 0px 2px 0px 1px rgba(0,0,0,0.2);
        box-shadow: 0px 2px 0px 1px rgba(0,0,0,0.2);
        /*border-top-left-radius: 0px !important;
        border-top-right-radius: 0px !important;*/
        background-color: #ffffff;
        min-width:100%;
    }

.top-navbar ul.dropdown-menu > li > a.dropdown-item,
.top-navbar ul.dropdown-menu > li > a.dropdown-item:visited {
    padding: 8px 15px;
    color: #000000;
    font-weight: normal;
    text-decoration: none;
}

.top-navbar ul.dropdown-menu > li > a.dropdown-item:hover {
    color: #000000;
    text-decoration: none;
    background-color: rgba(0,0,0,0.125);
}

.top-navbar ul.dropdown-menu > li.dropdown-menu-arrow {
    top: -25px;
    left: 20px;
    width: 0;
    height: 0;
    position: relative;
}

.top-navbar ul.dropdown-menu > li.dropdown-menu-arrow:before,
.top-navbar ul.dropdown-menu > li.dropdown-menu-arrow:after {
    content: "";
    position: absolute;
    display: block;
    width: 0;
    height: 0;
    border-width: 7px 8px;
    border-style: solid;
    border-color: transparent;
    z-index: 1001;
}

.top-navbar ul.dropdown-menu > li.dropdown-menu-arrow:after {
    bottom: -18px;
    right: -8px;
    border-bottom-color: #ffffff;
}

.top-navbar ul.dropdown-menu > li.dropdown-menu-arrow:before {
    bottom: -17px;
    right: -8px;
}

ul.dropdown-menu.show{
    margin-top:0;
}

@media (min-width: 992px) {
    .top-navbar {
        padding-top: 0;
        padding-bottom: 0;
    }

    .top-navbar ul.navbar-nav > li > a.nav-link,
    .top-navbar ul.navbar-nav > li > a.nav-link:visited {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
        padding: 15px 16px !important;
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
        -webkit-border-radius: 0px;
        -moz-border-radius: 0px;
        border-radius: 0px;
    }

        .top-navbar ul.navbar-nav > li.show > a,
        .top-navbar ul.navbar-nav > li > a.nav-link.show,
        .top-navbar ul.navbar-nav > li > a.nav-link:hover,
        .top-navbar ul.navbar-nav > li > a.nav-link.active {
            color: #FFFFFF;
            text-decoration: none;
            background-color: rgba(0,0,0,0.33);
            /*border-bottom: 5px solid #fed408;*/
        }

}

@media (max-width: 991px) {

    .top-navbar {
        padding-left: 5px;
        padding-right: 5px;
    }

    .top-navbar ul.navbar-nav > li > a.nav-link,
    .top-navbar ul.navbar-nav > li > a.nav-link:visited {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
        padding: 8px 15px !important;
    }

}

/* Social Icons */

.top-navbar .social-icons {
    color: #FFFFFF;
}

.top-navbar .social-icons ul {
    margin-bottom: 0;
}

.top-navbar .social-icons ul li.list-inline-item {
    margin-right: 5px;
}

.top-navbar .social-icons ul li.list-inline-item:last-child {
    margin-right: 0;
}

.top-navbar .social-icons a,
.top-navbar .social-icons a:visited {
    color: #FFFFFF;
}

.top-navbar .social-icons a:hover {
    color: #FFFFCC;
    text-decoration: none;
}

.top-navbar .social-icons a i {
    /*position: relative;*/
    top: 1px;
    margin: 0 0;
    padding: 0 0;
    /*font-size: 36px;*/
    line-height: 36px;
}

/* Mega Menu */

.navbar .dropdown-toggle:focus,
.navbar .dropdown-toggle:focus-visible {
    box-shadow: none !important;
    outline: none;
}

.has-megamenu {
    position: static !important;
}

    .has-megamenu .dropdown-menu {
        width: auto;
        min-width: 960px;
        background: transparent !important;
        box-shadow: none;
        border: none;
        /* Centering */
        left: 50% !important;
        right: auto !important;
        transform: translateX(-50%);
    }

        .has-megamenu .dropdown-menu .container {
            /*position: absolute;
            top: -2px;*/
            margin-top:-10px;
            padding-left:0;
            padding-right:0;
        }

        .has-megamenu .dropdown-menu .megamenu {
            padding: 20px 40px;
            font-size: 16px;
            line-height: 150%;
            background-color: #FFFFFF;
            border: 0 none;
            border-radius: 0.25rem;
            box-shadow: 0px 2px 0px 1px rgba(0,0,0,0.2);
        }

.megamenu ul > li {
    font-weight: normal;
}

    .megamenu ul > li:last-child {
        padding-bottom: 0;
    }

    .megamenu ul > li > ul {
        padding-left: 20px;
    }

        .megamenu ul > li > ul > li {
            font-weight: bold;
        }

.megamenu span.megamenu-header {
    display: block;
    padding-bottom: 5px;
    margin-bottom: 5px;
    font-size: 18px;
    font-weight: bold;
    color: #BD5800;
    border-bottom: 2px solid #CCCCCC;
}

.megamenu a,
.megamenu a:visited {
    display: block;
    padding: 5px 10px;
    color: #000000;
    text-decoration: none;
    -webkit-border-radius: 0.25rem;
    -moz-border-radius: 0.25rem;
    border-radius: 0.25rem;
}

    .megamenu a:hover {
        color: #000000;
        text-decoration: none;
        background-color: #DDDDDD;
    }

ul.logo-icon-list {
    overflow: hidden !important;
}

    ul.logo-icon-list li {
        padding-left: 20px;
    }

    ul.logo-icon-list.dropdown-menu li.dropdown-item {
        padding-left: 20px;
        margin-left: 1rem;
    }

        ul.logo-icon-list.dropdown-menu li.dropdown-item a {
            padding: 5px 8px;
        }

    ul.logo-icon-list li.mobile-megamenu-header {
        font-weight:bold;
        padding-left: 1rem !important;
        margin-left: 0 !important;
    }

@media(max-width:351px) {
    .icon-fix {
        position: relative;
        top: -27px;
    }
}


